import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import Pages from 'vite-plugin-pages'
import Layouts from 'vite-plugin-vue-layouts'
import path from 'path'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    Pages(
      {
        dirs: [
          { dir: 'src/page', baseRoute: '' },
          { dir: 'src/views', baseRoute: '' }
        ],
        exclude: ['**/components/*.vue'] // 排除组件
      }
    ),
    Layouts({
      layoutsDirs: 'src/layout',
      defaultLayout: 'index'
    })
  ],
  resolve: {
    alias: {
      '@': path.resolve(path.resolve(), 'src')
    }
  },
  minify: 'terser',
  server: {
    open: true,
    proxy: {
      '/api': {
        // 正式环境地址
        target: 'https://dev.wutongresearch.club/api',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/api/, '')
      }
    }
  }
})
